
%define name	concordance
%define version	0.23
%define cvs	0
%define rel	6

%define major	2
%define libname	%mklibname concord %major
%define devname	%mklibname concord -d 

Summary:	Command-line Logitech Harmony remote programmer
Name:		%{name}
Version:	%{version}
%if %cvs
Release:	%mkrel 3.%cvs.%rel
%else
Release:	%mkrel %{rel}
%endif
License:	GPLv3+
URL:		http://www.phildev.net/harmony/
%if %cvs
Source:		concordance-%{cvs}.tar.lzma
%else
Source:		http://downloads.sourceforge.net/concordance/concordance-%{version}.tar.bz2
%endif
Patch0:		concordance-mime.patch
Patch1:		consnoop-includes.patch
Patch2:		concordance-clean-udev-rules.patch
Patch3:		concordance-udev-acl.patch
BuildRoot:	%{_tmppath}/%{name}-root
Group:		System/Configuration/Hardware
BuildRequires:	libusb-devel
BuildRequires:	python-devel
BuildRequires:	swig
BuildRequires:	perl-devel
BuildRequires:	chrpath

%description
This command-line software allows you to program your Logitech Harmony
remote using a configuration object retrieved from the Harmony website.

%package -n libconcord-common
Summary:	Common files of libconcord
Group:		System/Libraries

%description -n libconcord-common
Common files required by Logitech Harmony remote programmer library.

%package -n %libname
Summary:	System library of libconcord
Group:		System/Libraries
Requires:	libconcord-common >= %{version}-%{release}

%description -n %libname
Logitech Harmony remote programmer library for applications that use it.

%package -n %devname
Summary:	Development headers for libconcord
Group:		Development/C
Requires:	%libname = %version
Provides:	concord-devel = %version-%release

%description -n %devname
Development headers for developing applications that use libconcord, a
Logitech Harmony remote programmer library.

%package -n perl-concord
Summary:	Perl bindings for libconcord
Group:		Development/Perl

%description -n perl-concord
Perl bindings for libconcord, a Logitech Harmony remote programmer
library.

%package -n python-libconcord
Summary:	Python bindings for libconcord
Group:		Development/Python
Requires:	%libname

%description -n python-libconcord
Python bindings for libconcord, a Logitech Harmony remote programmer
library.

%prep
%if %cvs
%setup -q -n concordance
autoreconf -i libconcord concordance
%else
%setup -q
%endif
%patch0 -p1 -b .mime
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cd libconcord
# patch0
autoreconf -fi
%configure2_5x --disable-static --disable-mime-update
%make
%if "%{distribution}" == "Mageia" || 0%{?mdkversion} >= 201100
 %make udev_acl2
%else
 %if %{mdkversion} >= 201000
  # Not needed on older releases, logged-in users have already access to USB devices
  %make udev_acl1
%endif
%endif
cd bindings/perl
swig -perl5 concord.i
%{__perl} Makefile.PL INSTALLDIRS=vendor INC=-I../.. LIBS="-L../../.libs -lconcord"
%make
cd ../../..
cd concordance
%configure2_5x CPPFLAGS=-I../libconcord LDFLAGS="%{?ldflags} -L../libconcord"
%make
cd ..
cd consnoop
%make CXXFLAGS="%optflags %{?ldflags}"

%install
rm -rf %{buildroot}
%makeinstall_std -C libconcord \
%if "%{distribution}" == "Mageia" || 0%{?mdkversion} >= 201100
	install_udev_acl2
%else
 %if %{mdkversion} >= 201000
	install_udev_acl1
 %endif
%endif
#
%makeinstall_std -C libconcord/bindings/perl
chrpath -d %{buildroot}%{perl_vendorarch}/auto/concord/concord.so
%makeinstall_std -C concordance

cd libconcord/bindings/python
python setup.py install --root=%{buildroot}
cd -

# useful or not? include for now:
install -m755 consnoop/consnoop %{buildroot}%{_bindir}

rm -f %{buildroot}%{_libdir}/libconcord.la

%clean
rm -rf %{buildroot}

%post -n libconcord-common
# apply new/updated rules
/sbin/udevadm trigger --subsystem-match=usb --attr-match=idVendor=046d --attr-match=idProduct="c1*"
/sbin/udevadm trigger --subsystem-match=usb --attr-match=idVendor=0400 --attr-match=idProduct="c359"

%files
%defattr(-,root,root)
%doc concordance/README
%doc Changelog
%{_bindir}/concordance
%{_mandir}/man1/concordance*

%files -n libconcord-common
%defattr(-,root,root)
%if "%{distribution}" == "Mageia" || 0%{?mdkversion} >= 201000
/lib/udev/rules.d/60-libconcord.rules
%endif
%{_datadir}/mime/packages/libconcord.xml

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libconcord.so.%{major}*

%files -n %{devname}
%defattr(-,root,root)
%doc libconcord/README
%{_bindir}/consnoop
%{_libdir}/libconcord.so
%{_includedir}/libconcord.h

%files -n perl-concord
%defattr(-,root,root)
%{perl_vendorarch}/concord.pm
%{perl_vendorarch}/auto/concord

%files -n python-libconcord
%defattr(-,root,root)
%{py_sitedir}/libconcord*





%changelog
* Sat Jun 11 2011 stormi <stormi> 0.23-6.mga2
+ Revision: 103790
- fix typo in description

* Sat Jun 11 2011 sander85 <sander85> 0.23-5.mga2
+ Revision: 103746
- perl 5.14

* Wed Jan 19 2011 jquelin <jquelin> 0.23-4.mga1
+ Revision: 23863
- perl 5.12 rebuild
- rebuild
- rebuild

* Tue Jan 18 2011 pterjan <pterjan> 0.23-3.mga1
+ Revision: 21817
- Rebuild for python 2.7

* Sun Jan 16 2011 anssi <anssi> 0.23-2.mga1
+ Revision: 20094
- guard mdkversion uses with %%distribution check
- imported package concordance


* Sun Nov 21 2010 Funda Wang <fwang@mandriva.org> 0.23-2mdv2011.0
+ Revision: 599412
- rebuild for py2.7

* Sat Sep 04 2010 Anssi Hannula <anssi@mandriva.org> 0.23-1mdv2011.0
+ Revision: 575831
- new version
- new major
- enable adaptation for cooker udev

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 0.22-1mdv2011.0
+ Revision: 565781
- New version 0.22

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.21-3mdv2011.0
+ Revision: 555705
- rebuild

* Wed Jun 23 2010 Anssi Hannula <anssi@mandriva.org> 0.21-2mdv2010.1
+ Revision: 548753
- add udev rules to apply ACL to the Harmony remotes (udev-acl.patch)
- clean the udev exception rules a bit (clean-udev-rules.patch)
- move mime types to the new subpackage libconcord-common
- add release to devel provides

* Sun Jul 12 2009 Anssi Hannula <anssi@mandriva.org> 0.21-1mdv2010.1
+ Revision: 395311
- add missing include (includes.patch, fixes build with current
  toolchain)
- new version
- new major
- add mime type files (mime.patch based on patch from Adam Williamson,
  replacing the used mimetype with the ones reported by logitech server)

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 0.20-1.20081101.2mdv2009.1
+ Revision: 323756
- rebuild

* Sun Nov 02 2008 Anssi Hannula <anssi@mandriva.org> 0.20-1.20081101.1mdv2009.1
+ Revision: 299196
- initial Mandriva release

